2 Replies Latest reply: Jan 15, 2012 10:09 AM by 859671 RSS

    CentOS6.2に何とかしてoracle clientをインストールできませんか?

    859671
      お世話になっております。
      環境:
      vmware esxi 4.0
      os : cent os 6.2 x86(32bit)
      perl: 5.10.1
      catalyst: 4.02

      簡易なwebアプリを構築しようと思い、上記のような環境で、LAOPを作成しました。
      で、私は気付かなかったのですが、Oracle 11g はcent os 5までしかサポートしていないようで、インストールが失敗します。

      ::::: message
      at java.lang.Class.forName0(Native Method)
      at java.lang.Class.forName(Class.java:242)
      at javax.swing.SwingUtilities.loadSystemClass(SwingUtilities.java:1783)
      at javax.swing.UIManager.setLookAndFeel(UIManager.java:480)
      at oracle.install.commons.util.Application.startup(Application.java:758)
      at oracle.install.commons.flow.FlowApplication.startup(FlowApplication.java:164)
      at oracle.install.commons.flow.FlowApplication.startup(FlowApplication.java:181)
      at oracle.install.commons.base.driver.common.Installer.startup(Installer.java:265)
      at oracle.install.ivw.db.driver.DBInstaller.startup(DBInstaller.java:114)
      at oracle.install.ivw.db.driver.DBInstaller.main(DBInstaller.java:132)


      「新しいバージョンは、良い事だ」と取りあえず構築したのですが、oracleでコケるとは想定外でした。
      今から、CentOS5を入れなおして、その他諸々の環境を作成するのは非常に嫌です。
      私としては、このほかにperl 5.10から、DBD::Oracleさえインストールできれば環境としてはOKなので、
      何とか、必要な分だけ別のPC( asianux 3に、oracle 10 gが稼働中のものがある)から持ってきて、
      使いたいと考えています。(ODBC絡みだけでいいんじゃないか??と甘い期待をしています)

      可能な方法は無いでしょうか?
      ご存知の方は教えてください。
      よろしくお願いします。
        • 1. Re: CentOS6.2に何とかしてoracle clientをインストールできませんか?
          wmo6hash
          用途は DBD::Oracle で使える Oracle Client があれば良いだけでしたら Instant Client downloads for Linux x86 http://www.oracle.com/technetwork/topics/linuxsoft-082809.html からダウンロードできる instantclient-basic-linux-11.2.0.3.0.zip などのリリース11.2.0.3の Instant Client を用いてみてはいかがでしょうか ?

          少なくとも Instant Client は「インストールが失敗」とされている Oracle Universal Installerを用いないため、転記されているログを見ることはありません。
          • 2. Re: CentOS6.2に何とかしてoracle clientをインストールできませんか?
            859671
            instantclient-basic-linux-11.2.0.3.0.zip
            なんと、こんな物があったとは。
            知りませんでした。

            今回はXからGnomeを止めて裸のXでuniversal installerを起動することで自己解決しました。
            本来なら、このzipのインストールだけでcatalystが動くところまで行けるのか検証したいところですが、
            今回は時間がないので、やめにします。

            誰かやってくれる人はいないかな?
            まずは、ありがとうございました。